#

Function PACKAGEP

Syntax:

packagep object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type package; otherwise, returns false.

Examples:

     (packagep *package*) =>  true
     (packagep 'common-lisp) =>  false
     (packagep (find-package 'common-lisp)) =>  true

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (packagep object) ==  (typep object 'package)

Copyright 1996-2001, Xanalys Inc. All rights reserved.